Bug 855913 - NFS Mount doesn't report "I/0 Error" when a file is in split-brain state
NFS Mount doesn't report "I/0 Error" when a file is in split-brain state
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
medium Severity urgent
: ---
: ---
Assigned To: Pranith Kumar K
spandura
: Reopened
: 858497 (view as bug list)
Depends On: 830134 853682 858497
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 11:19 EDT by Scott Haines
Modified: 2015-01-22 10:29 EST (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.3.0.4rhs-34
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 853682
Environment:
Last Closed: 2012-11-12 13:47:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Scott Haines 2012-09-25 00:08:26 EDT
*** Bug 858497 has been marked as a duplicate of this bug. ***
Comment 2 Vidya Sakar 2012-09-26 02:10:14 EDT
As Vijay pointed out outcast will not help in this case. Proper handling of this case will require bitrot. setting devel_ack- for 2.0.z Update 3.
Comment 3 RHEL Product and Program Management 2012-09-26 02:25:09 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 4 Vidya Sakar 2012-09-26 02:51:50 EDT
Didnt know that devel_ack- will close a bug. Reopening it and changing devel_ack to ?
Comment 6 spandura 2012-10-22 08:40:58 EDT
Verified the fix by executing the steps mentioned to re-create the bug. Bug is fixed. 

[10/22/12 - 08:39:59 root@harv ~]# gluster --version
glusterfs 3.3.0.4rhs built on Oct 19 2012 09:16:41
Comment 8 errata-xmlrpc 2012-11-12 13:47:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1456.html

Note You need to log in before you can comment on or make changes to this bug.